#include <bits/stdc++.h>
using namespace std;
#define ll long long


int main()
{
    ios::sync_with_stdio(0);cin.tie(0);cout.tie(0);
    ll v,cost[53];
    cin >> v;
    int dp[v];
    cost[1]=1;
    cost[2]=2;
    cost[3]=5;
    for(int i=4;i<=52;i++)
        cost[i]=cost[i-3]*10;
    

    for(int i=0;i<=v;i++)dp[i]=1100000;
    dp[0]=0;
    for(int i=1;i<=v;i++)
        for(int j=0;j<=52;j++)
            if(cost[j]<=i && dp[i-cost[j]]+1<dp[i])dp[i]=dp[i-cost[j]]+1;
            
    cout << dp[v];

    
    return 0;
}